<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
MsgBox Method (IEdmCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCallback6 Interface : MsgBox Method (IEdmCallback6)

Visual Basic
C#
C++/CLI

lParentWnd
  Handle of the parent window

lMsgID
  ID of the message to be shown (see Remarks)

bsMsg
  Message to be displayed

eType
  Message box type as defined in EdmMBoxType

Displays a message box.

# Syntax

Visual Basic |
--- | ---

    Function MsgBox( _
       ByVal lParentWnd As System.Integer, _
       ByVal lMsgID As System.Integer, _
       ByVal bsMsg As System.String, _
       Optional ByVal eType As EdmMBoxType _
    ) As EdmMBoxResult

C# |
--- | ---

    EdmMBoxResult MsgBox(
       System.int lParentWnd,
       System.int lMsgID,
       System.string bsMsg,
       EdmMBoxType eType
    )

C++/CLI |
--- | ---

    EdmMBoxResult MsgBox(
    &   System.int lParentWnd,
    &   System.int lMsgID,
    &   System.String^ bsMsg,
    &   EdmMBoxType eType
    )

#### Parameters

lParentWnd
  Handle of the parent window
lMsgID
  ID of the message to be shown (see Remarks)
bsMsg
  Message to be displayed
eType
  Message box type as defined in EdmMBoxType

#### Return Value

Message box result as defined in EdmMBoxResult

# Example

See the IEdmCallback6 examples.

# Remarks

For callbacks during add operations, IMsgID is one of the values defined in EdmAddCallbackMsgID.

Return codes:

- S_OK: The method successfully executed.
- <any error code>: The calling method terminated.

# See Also

####

IEdmCallback6 Interface
IEdmCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0